<?php
/**
* include_datetime plugin
* This plugin allows you to insert date and time into articles
* Author: SBZ systems
* Copyright (C) 2010 sbzsystems.com. All Rights Reserved
* Website: http://www.sbzsystems.com
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
$mainframe->registerEvent( 'onPrepareContent', 'plgContentDateTime' );
function plgContentDateTime( &$row, &$params, $page=0 )
{
	$db =& JFactory::getDBO();
	// simple performance check to determine whether bot should process further
	if ( JString::strpos( $row->text, 'include_datetime' ) === false ) {
		return true;
	}
	// Get plugin info
	$plugin =& JPluginHelper::getPlugin('content', 'include_datetime');
 	// expression to search for
 	$regex = '/{include_datetime\s*.*?}/i';
 	$pluginParams = new JParameter( $plugin->params );
	// check whether plugin has been unpublished
	if ( !$pluginParams->get( 'enabled', 1 ) ) {
		$row->text = preg_replace( $regex, '', $row->text );
		return true;
	}
 	// find all instances of plugin and put in $matches
	preg_match_all( $regex, $row->text, $matches );
	// Number of plugins
 	$count = count( $matches[0] );
 	// plugin only processes if there are any instances of the plugin in the text
 	if ( $count ) {
 	
		// Get plugin parameters
	 	$style	= $pluginParams->def( 'style', -2 );
 		plgContentProcessDateTime( $row, $matches, $count, $regex, $style );
	}
}
function plgContentProcessDateTime ( &$row, &$matches, $count, $regex, $style )
{
 	 	for ( $i=0; $i < $count; $i++ )
	  {  
 		$load = str_replace( 'include_datetime', '', $matches[0][$i] );
 		$load = str_replace( '{', '', $load );
 		$load = str_replace( '}', '', $load );
 		$load = trim( $load );
		}
    $curt= JHTML::_('date', 0, JText::_(''.$load.''));
    $row->text = preg_replace( $regex, $curt, $row->text );
}